
Infrastructure - Story #2036

Stress testing of components

2011-11-15 03:50 - Dave Vieglais

Status: Closed Start date: 2011-08-26

Priority: High Due date:  

Assignee: Chris Jones % Done: 100%

Category: performance-scalability Estimated time: 0.00 hour

Target version: Sprint-2012.27-Block.4.2   

Story Points:    

Description

Stress testing of components helps define operational limits of the system and can identify areas of inefficiency.

Typical read operations:

Each of the MN implementations should be evaluated, with emphasis on high access operations such as listObjects,

getSystemMetadata, getChecksum, and get

CN throughput for user facing operations should be tested - resolve, getSystemMetadata, get, isAuthorized, listObjects, search,

getLogRecords, hasReservation

Typical CN operations:

What is the rate of change to system metadata that can be sustained across three coordinating nodes?

What is the rate of synchronization of new content that can be sustained?

What is the typical range of latency for new science metadata to be fully propagated across CNs?

Should also consider failures - stress test until failure and observe how graceful or otherwise thing turn out.

Subtasks:

Task # 2705: Ensure replication queue can handle large numbers of pending tasks Closed

Task # 2704: Ensure that sync queue can handle large MN syncs Closed

Task # 1722: Stress test that uses certs and works against any MN Closed

History

#1 - 2011-11-15 04:15 - Dave Vieglais

See also #1444. Close that story if appropriate.

#2 - 2011-11-28 18:46 - Dave Vieglais

- Position set to 1

- Target version changed from Sprint-2011.46-Block.6 to Sprint-2011.49-Block.6

#3 - 2011-12-06 14:35 - Dave Vieglais

- Target version changed from Sprint-2011.49-Block.6 to Sprint-2011.50-Block.6

- Position set to 1

- Position deleted (17)

#4 - 2011-12-19 18:58 - Dave Vieglais

- Target version changed from Sprint-2011.50-Block.6 to Sprint-2011.51-Block.6

- Position changed from 1 to 329

- Position set to 1
- Position deleted (26)

#5 - 2012-01-04 18:49 - Dave Vieglais

- Position deleted (319)

- Position changed from 1 to 332

- Position set to 1

- Target version changed from Sprint-2011.51-Block.6 to Sprint-2012.01-Block.1.1

#6 - 2012-01-17 15:44 - Dave Vieglais

- Position deleted (345)

- Position changed from 1 to 350

- Position set to 1

- Target version changed from Sprint-2012.01-Block.1.1 to Sprint-2012.03-Block.1.2

#7 - 2012-01-17 15:44 - Dave Vieglais

- Position deleted (350)

- Position changed from 1 to 350

- Position set to 1

#8 - 2012-01-31 17:55 - Dave Vieglais

- Position set to 25

- Target version changed from Sprint-2012.03-Block.1.2 to Sprint-2012.05-Block.1.3

- Position deleted (351)

#9 - 2012-02-08 19:40 - Dave Vieglais

- Position set to 35

- Position deleted (40)

- Target version changed from Sprint-2012.05-Block.1.3 to Sprint-2012.07-Block.1.4

#10 - 2012-02-27 18:21 - Dave Vieglais

- Target version changed from Sprint-2012.07-Block.1.4 to Sprint-2012.09-Block.2.1

- Position set to 39

- Position deleted (58)

#11 - 2012-03-16 02:34 - Dave Vieglais

- Position deleted (67)

- Position set to 20

- Target version changed from Sprint-2012.09-Block.2.1 to Sprint-2012.11-Block.2.2

#12 - 2012-04-23 16:58 - Dave Vieglais

- Position deleted (44)

- Position set to 6

- Target version changed from Sprint-2012.11-Block.2.2 to Sprint-2012.17-Block.3.1

#13 - 2012-05-07 17:41 - Matthew Jones

- Target version changed from Sprint-2012.17-Block.3.1 to Sprint-2012.19-Block.3.2

- Assignee changed from Roger Dahl to Chris Jones

#14 - 2012-05-30 12:32 - Dave Vieglais
- Position deleted (24)

- Target version changed from Sprint-2012.19-Block.3.2 to Sprint-2012.21-Block.3.3

- Position set to 3

#15 - 2012-06-20 14:03 - Dave Vieglais

- Milestone changed from CCI-1.0.0 to CCI-1.1

- Target version changed from Sprint-2012.21-Block.3.3 to Sprint-2012.27-Block.4.2

#16 - 2012-08-31 01:53 - Chris Jones

- Status changed from New to Closed

Tasks are complete - closing this out.
